evolution-source-registry crashed with SIGSEGV in g_hash_table_lookup()

Bug #1200934 reported by Javier Marcon on 2013-07-13
562
This bug affects 124 people
Affects Status Importance Assigned to Milestone
Ubuntu GNOME
Undecided
Unassigned
evolution-data-server (Ubuntu)
Undecided
Unassigned

Bug Description

Ass soon I started my machine (with gome 3 with auto login), this error raised.

ProblemType: Crash
DistroRelease: Ubuntu 13.04
Package: evolution-data-server 3.8.3-0ubuntu5~ubuntu13.04.2 [origin: LP-PPA-gnome3-team-gnome3]
ProcVersionSignature: Ubuntu 3.8.0-27.40-generic 3.8.13.4
Uname: Linux 3.8.0-27-generic x86_64
ApportVersion: 2.9.2-0ubuntu8.3
Architecture: amd64
CrashCounter: 1
Date: Sat Jul 13 10:28:19 2013
ExecutablePath: /usr/lib/evolution/evolution-source-registry
InstallationDate: Installed on 2012-11-01 (253 days ago)
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110427.1)
MarkForUpload: True
ProcCmdline: /usr/lib/evolution/evolution-source-registry
ProcEnviron:
 SHELL=/bin/bash
 XDG_RUNTIME_DIR=<set>
 PATH=(custom, no user)
 LANGUAGE=es_AR:zh_CN:en
 LANG=es_AR.UTF-8
Signal: 11
SourcePackage: evolution-data-server
StacktraceTop:
 g_hash_table_lookup () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 ag_auth_data_get_login_parameters () from /usr/lib/x86_64-linux-gnu/libaccounts-glib.so.0
 ?? () from /usr/lib/evolution-data-server/registry-modules/module-ubuntu-online-accounts.so
 g_simple_async_result_complete () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
 ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
Title: evolution-source-registry crashed with SIGSEGV in g_hash_table_lookup()
UpgradeStatus: Upgraded to raring on 2013-05-08 (66 days ago)
UserGroups: adm admin cdrom dialout libvirtd lp lpadmin plugdev sambashare vboxusers

Javier Marcon (javiermarcon) wrote :
information type: Private → Public
Tim Lunn (darkxst) on 2013-07-30
Changed in ubuntu-gnome:
status: New → Confirmed
Mike Davis (mdavi86) on 2013-08-29
Changed in ubuntu:
status: New → Confirmed
no longer affects: ubuntu
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in evolution-data-server (Ubuntu):
status: New → Confirmed

StacktraceTop:
 ?? ()
 ?? ()
 ?? ()
 ?? ()
 ?? ()

affects: ubuntu → evolution-data-server (Ubuntu)
Changed in evolution-data-server (Ubuntu):
status: New → Confirmed
Changed in evolution-data-server (Ubuntu):
status: Confirmed → Invalid
Download full text (7.5 KiB)

Thank you for your report!

However, processing it in order to get sufficient information for the
developers failed (it does not generate a useful symbolic stack trace). This
might be caused by some outdated packages which were installed on your system
at the time of the report:

package libpango-1.0-0 does not exist, ignoring
package libedata-book-1.2-17 does not exist, ignoring
outdated debug symbol package for libtiff5: package version 4.0.2-4ubuntu2.1 dbgsym version 4.0.2-4ubuntu2
libgail-3-0 version 3.8.2-0ubuntu6~raring3 required, but 3.6.4-0ubuntu8 is available
libp11-kit0 version 0.18.3-2ubuntu1~raring1 required, but 0.14-1 is available
package libpangoxft-1.0-0 does not exist, ignoring
libcups2 version 1.6.2-1ubuntu7 required, but 1.6.2-1ubuntu5 is available
libgoa-1.0-common version 3.8.2-1ubuntu1.1~raring1 required, but 3.6.2-1ubuntu1 is available
package libpangocairo-1.0-0 does not exist, ignoring
libgtk-3-0 version 3.8.2-0ubuntu6~raring3 required, but 3.6.4-0ubuntu8 is available
libgl1-mesa-glx version 9.1.4-0ubuntu0.1 required, but 9.1.3-0ubuntu0.3 is available
gsettings-desktop-schemas version 3.8.0-0ubuntu1~raring1 required, but 3.6.1-0ubuntu1 is available
libplymouth2 version 0.8.8-0ubuntu7~raring1 required, but 0.8.8-0ubuntu6.2 is available
outdated debug symbol package for libplymouth2: package version 0.8.8-0ubuntu6.2 dbgsym version 0.8.8-0ubuntu6
package libcamel-1.2-43 does not exist, ignoring
libpango1.0-0 version 1.34.1-0ubuntu1~13.04~ricotz1 required, but 1.32.5-0ubuntu1 is available
package libjson-glib-1.0-common does not exist, ignoring
libqtwebkit4 version 2.3.0-0ubuntu2.1 required, but 2.3.0-0ubuntu2 is available
package libebackend-1.2-6 does not exist, ignoring
libgtk-3-common version 3.8.2-0ubuntu6~raring3 required, but 3.6.4-0ubuntu8 is available
libfontconfig1 version 2.10.93-0ubuntu1~raring1 required, but 2.10.2-0ubuntu2 is available
libglib2.0-0 version 2.36.3-0ubuntu1~raring1 required, but 2.36.0-1ubuntu2 is available
libgdk-pixbuf2.0-0 version 2.28.1-1ubuntu1~raring1 required, but 2.28.0-0ubuntu1 is available
libgcr-3-1 version 3.8.2-3~ubuntu13.04.1 required, but 3.6.2-0ubuntu2 is available
package libgcr-ui-3-1 does not exist, ignoring
package libgweather-3-3 does not exist, ignoring
libecal-1.2-15 version 3.8.3-0ubuntu5~ubuntu13.04.2 required, but 3.6.4-0ubuntu1.1 is available
liblcms2-2 version 2.4-0ubuntu3 required, but 2.4-0ubuntu3.1 is available
outdated debug symbol package for liblcms2-2: package version 2.4-0ubuntu3.1 dbgsym version 2.4-0ubuntu3
libmount1 version 2.20.1-5.1ubuntu8.1 required, but 2.20.1-5.1ubuntu8 is available
libgnome-keyring-common version 3.8.0-1~raring1 required, but 3.6.0-1 is available
libgdata-common version 0.13.3-1~raring1 required, but 0.13.2-2svn1 is available
package libpangox-1.0-0 does not exist, ignoring
fontconfig-config version 2.10.93-0ubuntu1~raring1 required, but 2.10.2-0ubuntu2 is available
libglib2.0-data version 2.36.3-0ubuntu1~raring1 required, but 2.36.0-1ubuntu2 is available
outdated debug symbol package for libudev1: package version 198-0ubuntu11.1 dbgsym version 198-0ubuntu11
libgraphite2-3 version 1.2.3-1~raring1 required, but 1.2.1-1 is available
p...

Read more...

tags: removed: need-amd64-retrace
Javier Marcon (javiermarcon) wrote :

this bug appeared at startup.

Changed in evolution-data-server (Ubuntu):
status: Invalid → New
status: New → Confirmed
Ubuntu GNOME (ug-bot) wrote :

Thank you for reporting this bug to Ubuntu. raring reached EOL on Jan 27, 2014.
Please see this document for currently supported Ubuntu releases:
https://wiki.ubuntu.com/Releases

Please feel free to report any other bugs you may find.

Changed in ubuntu-gnome:
status: Confirmed → Expired
Mike Davis (mdavi86) on 2014-06-03
Changed in ubuntu-gnome:
assignee: nobody → Mike Davis (mdavi86)
assignee: Mike Davis (mdavi86) → nobody
Mike Davis (mdavi86) on 2014-12-24
Changed in ubuntu-gnome:
status: Expired → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers